#! /bin/bash
 
#########################################################
# DS4CloneRestore installer
# Installazione di DS4CloneRestore e dei relativi script
#########################################################

DESTDIR=/usr/sbin
PROGRAM_USER=ds4user

echo
echo -------------------------
echo DS4CloneRestore installer
echo -------------------------
echo

if [ $USER != root ]; then
  echo 
  echo "ERROR: Only root can install!"
  echo 
  exit 1
fi

echo
echo Copy files in $DESTDIR ...

# Copio l'eseguibile
cp ds4clonerestore $DESTDIR

# Copio gli script
cp -a scripts/* $DESTDIR

# Copio l'icona
cp misc/ds4.xpm /usr/share/pixmaps/

# Copio il file di configurazione
cp misc/ds4clonerestorerc /root/.qt/

# Creo il collegamento sul desktop con l'icona DS4
echo Create desktop link for user $PROGRAM_USER ...

cp misc/Restore.desktop /home/$PROGRAM_USER/Desktop/

echo
echo Installation finished !
echo
